package com.mortals.xhx.module.device.model;

import java.util.List;
import com.mortals.xhx.module.device.model.DeviceModuleUseEntity;
/**
 * 设备模块使用频率查询对象
 *
 * @author zxfei
 * @date 2022-07-02
 */
public class DeviceModuleUseQuery extends DeviceModuleUseEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 模块名称 */
    private List<String> moduleNameList;

    /** 模块消息编码 */
    private List<String> moduleMsgCodeList;

    /** 开始 所属设备 */
    private Long deviceIdStart;

    /** 结束 所属设备 */
    private Long deviceIdEnd;

    /** 增加 所属设备 */
    private Long deviceIdIncrement;

    /** 所属设备列表 */
    private List <Long> deviceIdList;

    /** 开始 调用次数 */
    private Long useNumStart;

    /** 结束 调用次数 */
    private Long useNumEnd;

    /** 增加 调用次数 */
    private Long useNumIncrement;

    /** 调用次数列表 */
    private List <Long> useNumList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DeviceModuleUseQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DeviceModuleUseQuery> andConditionList;

    public DeviceModuleUseQuery(){}

    /**
     * 获取 开始 主键ID，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键ID，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键ID，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 模块名称
     * @return moduleNameList
     */
    public List<String> getModuleNameList(){
        return this.moduleNameList;
    }

    /**
     * 设置 模块名称
     * @param moduleNameList
     */
    public void setModuleNameList(List<String> moduleNameList){
        this.moduleNameList = moduleNameList;
    }
    /**
     * 获取 模块消息编码
     * @return moduleMsgCodeList
     */
    public List<String> getModuleMsgCodeList(){
        return this.moduleMsgCodeList;
    }

    /**
     * 设置 模块消息编码
     * @param moduleMsgCodeList
     */
    public void setModuleMsgCodeList(List<String> moduleMsgCodeList){
        this.moduleMsgCodeList = moduleMsgCodeList;
    }
    /**
     * 获取 开始 所属设备
     * @return deviceIdStart
     */
    public Long getDeviceIdStart(){
        return this.deviceIdStart;
    }

    /**
     * 设置 开始 所属设备
     * @param deviceIdStart
     */
    public void setDeviceIdStart(Long deviceIdStart){
        this.deviceIdStart = deviceIdStart;
    }

    /**
     * 获取 结束 所属设备
     * @return $deviceIdEnd
     */
    public Long getDeviceIdEnd(){
        return this.deviceIdEnd;
    }

    /**
     * 设置 结束 所属设备
     * @param deviceIdEnd
     */
    public void setDeviceIdEnd(Long deviceIdEnd){
        this.deviceIdEnd = deviceIdEnd;
    }

    /**
     * 获取 增加 所属设备
     * @return deviceIdIncrement
     */
    public Long getDeviceIdIncrement(){
        return this.deviceIdIncrement;
    }

    /**
     * 设置 增加 所属设备
     * @param deviceIdIncrement
     */
    public void setDeviceIdIncrement(Long deviceIdIncrement){
        this.deviceIdIncrement = deviceIdIncrement;
    }

    /**
     * 获取 所属设备
     * @return deviceIdList
     */
    public List<Long> getDeviceIdList(){
        return this.deviceIdList;
    }

    /**
     * 设置 所属设备
     * @param deviceIdList
     */
    public void setDeviceIdList(List<Long> deviceIdList){
        this.deviceIdList = deviceIdList;
    }

    /**
     * 获取 开始 调用次数
     * @return useNumStart
     */
    public Long getUseNumStart(){
        return this.useNumStart;
    }

    /**
     * 设置 开始 调用次数
     * @param useNumStart
     */
    public void setUseNumStart(Long useNumStart){
        this.useNumStart = useNumStart;
    }

    /**
     * 获取 结束 调用次数
     * @return $useNumEnd
     */
    public Long getUseNumEnd(){
        return this.useNumEnd;
    }

    /**
     * 设置 结束 调用次数
     * @param useNumEnd
     */
    public void setUseNumEnd(Long useNumEnd){
        this.useNumEnd = useNumEnd;
    }

    /**
     * 获取 增加 调用次数
     * @return useNumIncrement
     */
    public Long getUseNumIncrement(){
        return this.useNumIncrement;
    }

    /**
     * 设置 增加 调用次数
     * @param useNumIncrement
     */
    public void setUseNumIncrement(Long useNumIncrement){
        this.useNumIncrement = useNumIncrement;
    }

    /**
     * 获取 调用次数
     * @return useNumList
     */
    public List<Long> getUseNumList(){
        return this.useNumList;
    }

    /**
     * 设置 调用次数
     * @param useNumList
     */
    public void setUseNumList(List<Long> useNumList){
        this.useNumList = useNumList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  主键ID，主键，自增长
     * @param id
     */
    public DeviceModuleUseQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public DeviceModuleUseQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public DeviceModuleUseQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public DeviceModuleUseQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public DeviceModuleUseQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }


    /**
     * 设置 模块名称
     * @param moduleName
     */
    public DeviceModuleUseQuery moduleName(String moduleName){
        setModuleName(moduleName);
        return this;
    }

    /**
     * 设置 模块名称
     * @param moduleNameList
     */
    public DeviceModuleUseQuery moduleNameList(List<String> moduleNameList){
        this.moduleNameList = moduleNameList;
        return this;
    }


    /**
     * 设置 模块消息编码
     * @param moduleMsgCode
     */
    public DeviceModuleUseQuery moduleMsgCode(String moduleMsgCode){
        setModuleMsgCode(moduleMsgCode);
        return this;
    }

    /**
     * 设置 模块消息编码
     * @param moduleMsgCodeList
     */
    public DeviceModuleUseQuery moduleMsgCodeList(List<String> moduleMsgCodeList){
        this.moduleMsgCodeList = moduleMsgCodeList;
        return this;
    }

    /**
     * 设置  所属设备
     * @param deviceId
     */
    public DeviceModuleUseQuery deviceId(Long deviceId){
        setDeviceId(deviceId);
        return this;
    }

    /**
     * 设置 开始 所属设备
     * @param deviceIdStart
     */
    public DeviceModuleUseQuery deviceIdStart(Long deviceIdStart){
        this.deviceIdStart = deviceIdStart;
        return this;
    }

    /**
     * 设置 结束 所属设备
     * @param deviceIdEnd
     */
    public DeviceModuleUseQuery deviceIdEnd(Long deviceIdEnd){
        this.deviceIdEnd = deviceIdEnd;
        return this;
    }

    /**
     * 设置 增加 所属设备
     * @param deviceIdIncrement
     */
    public DeviceModuleUseQuery deviceIdIncrement(Long deviceIdIncrement){
        this.deviceIdIncrement = deviceIdIncrement;
        return this;
    }

    /**
     * 设置 所属设备
     * @param deviceIdList
     */
    public DeviceModuleUseQuery deviceIdList(List<Long> deviceIdList){
        this.deviceIdList = deviceIdList;
        return this;
    }

    /**
     * 设置  调用次数
     * @param useNum
     */
    public DeviceModuleUseQuery useNum(Long useNum){
        setUseNum(useNum);
        return this;
    }

    /**
     * 设置 开始 调用次数
     * @param useNumStart
     */
    public DeviceModuleUseQuery useNumStart(Long useNumStart){
        this.useNumStart = useNumStart;
        return this;
    }

    /**
     * 设置 结束 调用次数
     * @param useNumEnd
     */
    public DeviceModuleUseQuery useNumEnd(Long useNumEnd){
        this.useNumEnd = useNumEnd;
        return this;
    }

    /**
     * 设置 增加 调用次数
     * @param useNumIncrement
     */
    public DeviceModuleUseQuery useNumIncrement(Long useNumIncrement){
        this.useNumIncrement = useNumIncrement;
        return this;
    }

    /**
     * 设置 调用次数
     * @param useNumList
     */
    public DeviceModuleUseQuery useNumList(List<Long> useNumList){
        this.useNumList = useNumList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public DeviceModuleUseQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public DeviceModuleUseQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public DeviceModuleUseQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public DeviceModuleUseQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public DeviceModuleUseQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<DeviceModuleUseQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<DeviceModuleUseQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<DeviceModuleUseQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<DeviceModuleUseQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}